Bug 136467 - Hotplug fails to correctly handle USB memory stick when inserted a second time
Hotplug fails to correctly handle USB memory stick when inserted a second time
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-20 06:07 EDT by Mike Clayton
Modified: 2015-01-04 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-20 23:41:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log generated by hotplug failing for device (449 bytes, text/plain)
2004-10-20 06:13 EDT, Mike Clayton
no flags Details
dmesg log portion of a successfull attempt, followed immediately by an unsuccessfull attempt (9.52 KB, text/plain)
2004-10-20 21:40 EDT, Mike Clayton
no flags Details

  None (edit)
Description Mike Clayton 2004-10-20 06:07:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041012
Firefox/0.10.1

Description of problem:
after booting, i can plug in my USB memory stick, and it mounts and
such, if I remove it and re-insert it, it fails to work the second time

Version-Release number of selected component (if applicable):
hotplug-2004_04_01-6

How reproducible:
Always

Steps to Reproduce:
1.boot
2.insert memory stick
3.remove memory stick
4.note it doesn't mount
    

Actual Results:  the USB memory stick was not mounted

Expected Results:  the USB memory stick should have re-mounted

Additional info:

it is possible that I just have a cheep/poor USB memory stick (32
dollar GE branded)which is not working correctly
Comment 1 Mike Clayton 2004-10-20 06:13:09 EDT
Created attachment 105502 [details]
log generated by hotplug failing for device
Comment 2 Bill Nottingham 2004-10-20 13:56:16 EDT
Any kernel messages around the same time?
Comment 3 Mike Clayton 2004-10-20 21:40:06 EDT
Created attachment 105570 [details]
dmesg log portion of a successfull attempt, followed immediately by an unsuccessfull attempt

it's a bit long, there is an error repeated over and over many times
Comment 4 Bill Nottingham 2004-10-20 23:40:05 EDT
Yeah, this is definitely a kernel issue.
Comment 5 Need Real Name 2005-08-05 19:35:51 EDT
I have the same problem under:

    Red Hat Enterprise Linux WS release 4 (Nahant Update 1)

This is highly reproducible.  The only way to get USB memory sticks to work is
to reboot the computer after each use.

We are in the process of rolling out RHEL 4 to our faculty desktops.  Many of
them require USB memory sticks to work reliably.  This problem is going to cause
them to be upset.

Here are some typical kernel log messages from this problem:
sdb : READ CAPACITY failed.
sdb : status=0, message=00, host=7, driver=00 
sdb : sense not available. 
sdb: Write Protect is off
sdb: Mode Sense: 00 00 00 00
sdb: assuming drive cache: write through
sdb : READ CAPACITY failed.
sdb : status=0, message=00, host=7, driver=00 
sdb : sense not available. 
sdb: Write Protect is off
sdb: Mode Sense: 00 00 00 00
sdb: assuming drive cache: write through
 sdb:<3>Buffer I/O error on device sdb, logical block 0
Buffer I/O error on device sdb, logical block 0
Buffer I/O error on device sdb, logical block 0
 unable to read partition table
sda : READ CAPACITY failed.
sda : status=0, message=00, host=7, driver=00 
sda : sense not available. 
sda: Write Protect is off
sda: Mode Sense: 00 00 00 00
sda: assuming drive cache: write through
sda : READ CAPACITY failed.
sda : status=0, message=00, host=7, driver=00 
sda : sense not available. 
sda: Write Protect is off
sda: Mode Sense: 00 00 00 00
sda: assuming drive cache: write through
 sda:<3>Buffer I/O error on device sda, logical block 0
Buffer I/O error on device sda, logical block 0
Buffer I/O error on device sda, logical block 0
 unable to read partition table


Please fix this!
Comment 6 Dave Jones 2005-10-05 23:28:05 EDT
Mike, is this repeatable on current Fedora releases ?

riches@ms.washington.edu: please file a seperate bug for RHEL issues.

Thanks.
Comment 7 Mike Clayton 2005-10-17 13:01:55 EDT
Sorry for the late response, as of right now (Mon Oct 17 10:59:48 MDT 2005)
the problem seems to have been corrected in FC4 using kernel 2.6.12-1.1447_FC4
I am updating yo all the latest packages and will test it again and edit this
message at that time
Comment 8 Mike Clayton 2005-10-17 20:38:40 EDT
when I plug the memory stick in, it is recognized and assigned /dev/sda1, and
shows up in nautilus, but does not mount, thou it does get mounted when i access
it via nautilus, when i remove the memory stick, it does not automatically unmount

this is with the latest updates/etc as of today around noon local time (GMT -7)
Comment 9 Dave Jones 2005-10-19 00:41:57 EDT
ok, sounds like kernel side is ok now at least. The "make it mount on insertion
of media" bug is likely either hotplug or hal related.  Both maintainers are
Cc'd, so maybe they have ideas ?
Comment 10 Dave Jones 2005-11-10 14:07:45 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 11 Mike Clayton 2005-11-15 14:13:32 EST
i get the same exact behaviour as last time, here is the dmesg output of the
memory stick being inserted and removed:

inserting the memory stick:

usb 1-2.1: new full speed USB device using uhci_hcd and address 5
SCSI subsystem initialized
Initializing USB Mass Storage driver...
scsi0 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 5
usb-storage: waiting for device to settle before scanning
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
  Vendor: LEXAR     Model: JUMPDRIVE SECURE  Rev: 2000
  Type:   Direct-Access                      ANSI SCSI revision: 00
usb-storage: device scan complete
SCSI device sda: 248928 512-byte hdwr sectors (127 MB)
sda: assuming drive cache: write through
SCSI device sda: 248928 512-byte hdwr sectors (127 MB)
sda: assuming drive cache: write through
 sda: sda1
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0


and removing it:

usb 1-2.1: USB disconnect, address 5
Comment 12 Dave Jones 2006-02-03 00:13:31 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 13 Mike Clayton 2006-02-15 13:47:55 EST
Seems to be working perfectly every time now.

Thanks!
Comment 14 Dave Jones 2006-02-20 23:41:02 EST
thanks for the update

Note You need to log in before you can comment on or make changes to this bug.